package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceApiInterface;
import com.lightinit.hsdataportal.entity.ResourceApiInterfaceExample;
import com.lightinit.hsdataportal.entity.ResourceApiInterfaceWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceApiInterfaceMapper {
    long countByExample(ResourceApiInterfaceExample example);

    int deleteByExample(ResourceApiInterfaceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceApiInterfaceWithBLOBs record);

    int insertSelective(ResourceApiInterfaceWithBLOBs record);

    List<ResourceApiInterfaceWithBLOBs> selectByExampleWithBLOBs(ResourceApiInterfaceExample example);

    List<ResourceApiInterface> selectByExample(ResourceApiInterfaceExample example);

    ResourceApiInterfaceWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceApiInterfaceWithBLOBs record, @Param("example") ResourceApiInterfaceExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceApiInterfaceWithBLOBs record, @Param("example") ResourceApiInterfaceExample example);

    int updateByExample(@Param("record") ResourceApiInterface record, @Param("example") ResourceApiInterfaceExample example);

    int updateByPrimaryKeySelective(ResourceApiInterfaceWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ResourceApiInterfaceWithBLOBs record);

    int updateByPrimaryKey(ResourceApiInterface record);
}